#include <kdialog.h>
#include <klocale.h>

#ifndef UI_DBUS_WIDGET_UI_H
#define UI_DBUS_WIDGET_UI_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kdialog.h>

namespace KHotKeys {

class Ui_Dbus_widget_ui
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *remote_app_label;
    QLineEdit *remote_app_lineedit;
    QSpacerItem *spacerItem;
    QLabel *remote_object_label;
    QLineEdit *remote_object_lineedit;
    QSpacerItem *spacerItem1;
    QLabel *called_function_label;
    QLineEdit *called_function_lineedit;
    QSpacerItem *spacerItem2;
    QLabel *arguments_label;
    QLineEdit *arguments_lineedit;
    QSpacerItem *spacerItem3;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem4;
    QPushButton *try_button;
    QSpacerItem *spacerItem5;
    QPushButton *PushButton1;
    QSpacerItem *spacerItem6;

    void setupUi(QWidget *Dbus_widget_ui)
    {
    if (Dbus_widget_ui->objectName().isEmpty())
        Dbus_widget_ui->setObjectName(QString::fromUtf8("Dbus_widget_ui"));
    Dbus_widget_ui->resize(576, 480);
    vboxLayout = new QVBoxLayout(Dbus_widget_ui);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(KDialog::marginHint());
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    remote_app_label = new QLabel(Dbus_widget_ui);
    remote_app_label->setObjectName(QString::fromUtf8("remote_app_label"));
    remote_app_label->setWordWrap(false);

    vboxLayout->addWidget(remote_app_label);

    remote_app_lineedit = new QLineEdit(Dbus_widget_ui);
    remote_app_lineedit->setObjectName(QString::fromUtf8("remote_app_lineedit"));

    vboxLayout->addWidget(remote_app_lineedit);

    spacerItem = new QSpacerItem(0, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem);

    remote_object_label = new QLabel(Dbus_widget_ui);
    remote_object_label->setObjectName(QString::fromUtf8("remote_object_label"));
    remote_object_label->setWordWrap(false);

    vboxLayout->addWidget(remote_object_label);

    remote_object_lineedit = new QLineEdit(Dbus_widget_ui);
    remote_object_lineedit->setObjectName(QString::fromUtf8("remote_object_lineedit"));

    vboxLayout->addWidget(remote_object_lineedit);

    spacerItem1 = new QSpacerItem(0, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem1);

    called_function_label = new QLabel(Dbus_widget_ui);
    called_function_label->setObjectName(QString::fromUtf8("called_function_label"));
    called_function_label->setWordWrap(false);

    vboxLayout->addWidget(called_function_label);

    called_function_lineedit = new QLineEdit(Dbus_widget_ui);
    called_function_lineedit->setObjectName(QString::fromUtf8("called_function_lineedit"));

    vboxLayout->addWidget(called_function_lineedit);

    spacerItem2 = new QSpacerItem(0, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem2);

    arguments_label = new QLabel(Dbus_widget_ui);
    arguments_label->setObjectName(QString::fromUtf8("arguments_label"));
    arguments_label->setWordWrap(false);

    vboxLayout->addWidget(arguments_label);

    arguments_lineedit = new QLineEdit(Dbus_widget_ui);
    arguments_lineedit->setObjectName(QString::fromUtf8("arguments_lineedit"));

    vboxLayout->addWidget(arguments_lineedit);

    spacerItem3 = new QSpacerItem(0, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem3);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem4 = new QSpacerItem(20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem4);

    try_button = new QPushButton(Dbus_widget_ui);
    try_button->setObjectName(QString::fromUtf8("try_button"));

    hboxLayout->addWidget(try_button);

    spacerItem5 = new QSpacerItem(20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem5);

    PushButton1 = new QPushButton(Dbus_widget_ui);
    PushButton1->setObjectName(QString::fromUtf8("PushButton1"));

    hboxLayout->addWidget(PushButton1);

    spacerItem6 = new QSpacerItem(20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem6);


    vboxLayout->addLayout(hboxLayout);

    remote_app_label->setBuddy(remote_app_lineedit);
    remote_object_label->setBuddy(remote_object_lineedit);
    called_function_label->setBuddy(called_function_lineedit);
    arguments_label->setBuddy(arguments_lineedit);
    QWidget::setTabOrder(remote_app_lineedit, remote_object_lineedit);
    QWidget::setTabOrder(remote_object_lineedit, called_function_lineedit);
    QWidget::setTabOrder(called_function_lineedit, arguments_lineedit);
    QWidget::setTabOrder(arguments_lineedit, try_button);
    QWidget::setTabOrder(try_button, PushButton1);

    retranslateUi(Dbus_widget_ui);
    QObject::connect(try_button, SIGNAL(clicked()), Dbus_widget_ui, SLOT(try_pressed()));
    QObject::connect(PushButton1, SIGNAL(clicked()), Dbus_widget_ui, SLOT(run_dbus_browser_pressed()));

    QMetaObject::connectSlotsByName(Dbus_widget_ui);
    } // setupUi

    void retranslateUi(QWidget *Dbus_widget_ui)
    {
    remote_app_label->setText(tr2i18n("Remote &application:", 0));
    remote_object_label->setText(tr2i18n("Remote &object:", 0));
    called_function_label->setText(tr2i18n("Called &function:", 0));
    arguments_label->setText(tr2i18n("Arguments:", 0));
    try_button->setText(tr2i18n("&Try", 0));
    PushButton1->setText(tr2i18n("Run &KDCOP", 0));
    Q_UNUSED(Dbus_widget_ui);
    } // retranslateUi

};

} // namespace KHotKeys

namespace KHotKeys {
namespace Ui {
    class Dbus_widget_ui: public Ui_Dbus_widget_ui {};
} // namespace Ui
} // namespace KHotKeys

namespace KHotKeys {
class Dbus_widget_ui : public QWidget, public Ui::Dbus_widget_ui
{
    Q_OBJECT

public:
    Dbus_widget_ui(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~Dbus_widget_ui();

protected slots:
    virtual void languageChange();

    virtual void run_dbus_browser_pressed() = 0;
    virtual void try_pressed() = 0;


};
}

#endif // DBUS_WIDGET_UI_H

