#include <kdialog.h>
#include <klocale.h>

#ifndef UI_GENERAL_SETTINGS_TAB_UI_H
#define UI_GENERAL_SETTINGS_TAB_UI_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kdialog.h>
#include "kpushbutton.h"

class Ui_General_settings_tab_ui
{
public:
    QVBoxLayout *vboxLayout;
    QCheckBox *disable_daemon_checkbox;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    KPushButton *import_button;
    QSpacerItem *spacerItem1;
    QSpacerItem *spacerItem2;

    void setupUi(QWidget *General_settings_tab_ui)
    {
    if (General_settings_tab_ui->objectName().isEmpty())
        General_settings_tab_ui->setObjectName(QString::fromUtf8("General_settings_tab_ui"));
    General_settings_tab_ui->resize(600, 485);
    vboxLayout = new QVBoxLayout(General_settings_tab_ui);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(KDialog::marginHint());
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    disable_daemon_checkbox = new QCheckBox(General_settings_tab_ui);
    disable_daemon_checkbox->setObjectName(QString::fromUtf8("disable_daemon_checkbox"));

    vboxLayout->addWidget(disable_daemon_checkbox);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    import_button = new KPushButton(General_settings_tab_ui);
    import_button->setObjectName(QString::fromUtf8("import_button"));

    hboxLayout->addWidget(import_button);

    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);


    vboxLayout->addLayout(hboxLayout);

    spacerItem2 = new QSpacerItem(20, 40, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem2);


    retranslateUi(General_settings_tab_ui);
    QObject::connect(import_button, SIGNAL(clicked()), General_settings_tab_ui, SLOT(import_clicked()));

    QMetaObject::connectSlotsByName(General_settings_tab_ui);
    } // setupUi

    void retranslateUi(QWidget *General_settings_tab_ui)
    {
    disable_daemon_checkbox->setText(tr2i18n("Disable KHotKeys daemon", 0));
    import_button->setText(tr2i18n("Import New Actions...", 0));
    Q_UNUSED(General_settings_tab_ui);
    } // retranslateUi

};

namespace Ui {
    class General_settings_tab_ui: public Ui_General_settings_tab_ui {};
} // namespace Ui

class General_settings_tab_ui : public QWidget, public Ui::General_settings_tab_ui
{
    Q_OBJECT

public:
    General_settings_tab_ui(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~General_settings_tab_ui();

protected slots:
    virtual void languageChange();

    virtual void import_clicked() = 0;


};

#endif // GENERAL_SETTINGS_TAB_UI_H

