#include <kdialog.h>
#include <klocale.h>

#ifndef UI_GENERAL_TAB_UI_H
#define UI_GENERAL_TAB_UI_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kdialog.h>
#include "ktextedit.h"

namespace KHotKeys {

class Ui_General_tab_ui
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *action_name_label;
    QLineEdit *action_name_lineedit;
    QHBoxLayout *hboxLayout;
    QLabel *action_type_label;
    QComboBox *action_type_combo;
    QSpacerItem *spacerItem;
    QCheckBox *disable_checkbox;
    QSpacerItem *spacerItem1;
    QLabel *comment_label;
    KTextEdit *comment_multilineedit;

    void setupUi(QWidget *General_tab_ui)
    {
    if (General_tab_ui->objectName().isEmpty())
        General_tab_ui->setObjectName(QString::fromUtf8("General_tab_ui"));
    General_tab_ui->resize(596, 480);
    vboxLayout = new QVBoxLayout(General_tab_ui);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(KDialog::marginHint());
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    action_name_label = new QLabel(General_tab_ui);
    action_name_label->setObjectName(QString::fromUtf8("action_name_label"));
    action_name_label->setWordWrap(false);

    vboxLayout->addWidget(action_name_label);

    action_name_lineedit = new QLineEdit(General_tab_ui);
    action_name_lineedit->setObjectName(QString::fromUtf8("action_name_lineedit"));

    vboxLayout->addWidget(action_name_lineedit);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    action_type_label = new QLabel(General_tab_ui);
    action_type_label->setObjectName(QString::fromUtf8("action_type_label"));
    action_type_label->setWordWrap(false);

    hboxLayout->addWidget(action_type_label);

    action_type_combo = new QComboBox(General_tab_ui);
    action_type_combo->setObjectName(QString::fromUtf8("action_type_combo"));

    hboxLayout->addWidget(action_type_combo);


    vboxLayout->addLayout(hboxLayout);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem);

    disable_checkbox = new QCheckBox(General_tab_ui);
    disable_checkbox->setObjectName(QString::fromUtf8("disable_checkbox"));

    vboxLayout->addWidget(disable_checkbox);

    spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem1);

    comment_label = new QLabel(General_tab_ui);
    comment_label->setObjectName(QString::fromUtf8("comment_label"));
    comment_label->setWordWrap(false);

    vboxLayout->addWidget(comment_label);

    comment_multilineedit = new KTextEdit(General_tab_ui);
    comment_multilineedit->setObjectName(QString::fromUtf8("comment_multilineedit"));

    vboxLayout->addWidget(comment_multilineedit);

    action_name_label->setBuddy(action_name_lineedit);
    action_type_label->setBuddy(action_type_combo);
    comment_label->setBuddy(comment_multilineedit);

    retranslateUi(General_tab_ui);

    QMetaObject::connectSlotsByName(General_tab_ui);
    } // setupUi

    void retranslateUi(QWidget *General_tab_ui)
    {
    action_name_label->setText(tr2i18n("Action &name:", 0));
    action_type_label->setText(tr2i18n("Action &type:", 0));
    disable_checkbox->setText(tr2i18n("&Disable", 0));
    comment_label->setText(tr2i18n("&Comment:", 0));
    Q_UNUSED(General_tab_ui);
    } // retranslateUi

};

} // namespace KHotKeys

namespace KHotKeys {
namespace Ui {
    class General_tab_ui: public Ui_General_tab_ui {};
} // namespace Ui
} // namespace KHotKeys

namespace KHotKeys {
class General_tab_ui : public QWidget, public Ui::General_tab_ui
{
    Q_OBJECT

public:
    General_tab_ui(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~General_tab_ui();

protected slots:
    virtual void languageChange();

    virtual void action_name_changed( const QString& ) = 0;
    virtual void action_type_changed(int) = 0;


};
}

#endif // GENERAL_TAB_UI_H

